about summary refs log tree commit diff stats
path: root/common/git_template/hooks/pre-receive.sample
diff options
context:
space:
mode:
authorBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-09-30 16:36:43 +0200
committerBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-09-30 16:36:43 +0200
commite0d14f7b20a6e859a988206b4e16981d6a67bf87 (patch)
treec029ef323d2c5cbbbe4a633ba0e1ad3d891ad9c1 /common/git_template/hooks/pre-receive.sample
parentfix(common/init): Be smarter, when suggesting an owner name (diff)
downloadflake-templates-e0d14f7b20a6e859a988206b4e16981d6a67bf87.tar.gz
flake-templates-e0d14f7b20a6e859a988206b4e16981d6a67bf87.zip
feat(common/init): Ship a full git_template
Diffstat (limited to '')
-rw-r--r--common/git_template/hooks/pre-receive.sample24
1 files changed, 24 insertions, 0 deletions
diff --git a/common/git_template/hooks/pre-receive.sample b/common/git_template/hooks/pre-receive.sample
new file mode 100644
index 0000000..0bf2643
--- /dev/null
+++ b/common/git_template/hooks/pre-receive.sample
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+#
+# An example hook script to make use of push options.
+# The example simply echoes all push options that start with 'echoback='
+# and rejects all pushes when the "reject" push option is used.
+#
+# To enable this hook, rename this file to "pre-receive".
+
+if test -n "$GIT_PUSH_OPTION_COUNT"
+then
+	i=0
+	while test "$i" -lt "$GIT_PUSH_OPTION_COUNT"
+	do
+		eval "value=\$GIT_PUSH_OPTION_$i"
+		case "$value" in
+		echoback=*)
+			echo "echo from the pre-receive-hook: ${value#*=}" >&2
+			;;
+		reject)
+			exit 1
+		esac
+		i=$((i + 1))
+	done
+fi